Get inbox-label matrix report
Get a matrix showing the count of conversations for each inbox-label combination. Returns a list of inboxes, labels, and a 2D matrix where each cell contains the count of conversations in a specific inbox that have a specific label applied.
Note: This API endpoint is available only in Chatwoot version 4.11.0 and above.
AuthorizationBearer <token>Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
account_id*integerThe numeric ID of the account
since?stringThe timestamp from where report should start (Unix timestamp).
until?stringThe timestamp from where report should stop (Unix timestamp).
inbox_ids?array<integer>Filter by specific inbox IDs.
label_ids?array<integer>Filter by specific label IDs.
Success
application/json- response
Inbox-label matrix report showing the count of conversations for each inbox-label combination.
inboxes?array<>List of inboxes included in the report
labels?array<>List of labels included in the report
matrix?array<array<number>>2D array where matrix[i][j] represents the count of conversations in inboxes[i] with labels[j]
curl -X GET 'https://helpdesk.inclamo.com/api/v2/accounts/0/reports/inbox_label_matrix'{ "inboxes": [ { "id": 0, "name": "string" } ], "labels": [ { "id": 0, "title": "string" } ], "matrix": [ [ 0 ] ]}